/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
export class UserProfileIconE2EComponent {
  private readonly locatorAssignedIcon: string = 'user-profile-assigned';
  private readonly locatorUnassignedIcon: string = 'user-profile-unassigned';

  private readonly locatorErrorNotFoundIcon: string = 'user-profile-user-not-found';
  private readonly locatorErrorServiceUnavailableIcon: string = 'user-profile-service-unavailable';

  private readonly locatorUserProfileButton: string = 'user-profile-button-container';

  constructor(private root: string) {}

  public getRoot() {
    return cy.getTestElement(this.root);
  }

  public getUnassignedIcon() {
    return this.getRoot().findTestElementWithClass(this.locatorUnassignedIcon);
  }

  public getAssignedIcon() {
    return this.getRoot().findTestElementWithClass(this.locatorAssignedIcon);
  }

  public getErrorResourceNotFoundIcon() {
    return this.getRoot().findTestElementWithClass(this.locatorErrorNotFoundIcon);
  }

  public getErrorServiceUnavailableIcon() {
    return this.getRoot().findTestElementWithClass(this.locatorErrorServiceUnavailableIcon);
  }

  public getButton() {
    return this.getRoot().getTestElement(this.locatorUserProfileButton);
  }
}
