import { MainPage } from 'apps/admin-e2e/src/page-objects/main.po';
import { containClass, exist, notExist } from 'apps/admin-e2e/src/support/cypress.util';
import { loginAsAriane } from 'apps/admin-e2e/src/support/user-util';

describe('Ariane Navigation', () => {
  const mainPage: MainPage = new MainPage();

  before(() => {
    loginAsAriane();
  });

  it('should show benutzer navigation item', () => {
    exist(mainPage.getBenutzerNavigationItem());
  });

  it('should show organisationseinheiten navigation item', () => {
    exist(mainPage.getOrganisationEinheitNavigationItem());
  });

  describe('postfach navigation item', () => {
    it('should be visible', () => {
      exist(mainPage.getPostfachNavigationItem());
    });

    it('should be selected initial', () => {
      containClass(mainPage.getPostfachNavigationItem(), 'border-selected');
    });
  });

  it('should hide statistik auswertungen navigation item', () => {
    notExist(mainPage.getAuswertungenNavigationItem().getRoot());
  });
});
