import { MainPage } from 'apps/admin-e2e/src/page-objects/main.po';
import { containClass, exist, notContainClass, notExist } from 'apps/admin-e2e/src/support/cypress.util';
import { E2EStylingClass } from 'apps/admin-e2e/src/support/styling.util';
import { loginAsDaria } from 'apps/admin-e2e/src/support/user-util';

describe('Daria Navigation', () => {
  const mainPage: MainPage = new MainPage();

  before(() => {
    loginAsDaria();
  });

  it('should hide benutzer navigation item', () => {
    notExist(mainPage.getBenutzerNavigationItem());
  });

  it('should hide organisationseinheiten navigation item', () => {
    notExist(mainPage.getOrganisationEinheitNavigationItem());
  });

  it('should hide postfach navigation item', () => {
    notExist(mainPage.getPostfachNavigationItem());
  });

  describe('statistik auswertung navigation item', () => {
    it('should be visible', () => {
      exist(mainPage.getAuswertungenNavigationItem().getRoot());
    });

    it('should be initial selected', () => {
      containClass(mainPage.getAuswertungenNavigationItem().getLink(), E2EStylingClass.BRODER_SELECTED);
    });
  });

  describe('statistik datenfreigaben navigation item', () => {
    it('should be visible', () => {
      exist(mainPage.getDatenAnfragenNavigationItem().getRoot());
    });

    it('should NOT be initial selected', () => {
      notContainClass(mainPage.getDatenAnfragenNavigationItem().getLink(), E2EStylingClass.BRODER_SELECTED);
    });
  });

  describe('statistik datenfreigaben navigation item', () => {
    it('should be visible', () => {
      exist(mainPage.getDatenFreigabenNavigationItem().getRoot());
    });

    it('should NOT be initial selected', () => {
      notContainClass(mainPage.getDatenFreigabenNavigationItem().getLink(), E2EStylingClass.BRODER_SELECTED);
    });
  });
});
