import { MainPage } from 'apps/admin-e2e/src/page-objects/main.po';
import { containClass, exist, notContainClass } from 'apps/admin-e2e/src/support/cypress.util';
import { E2EStylingClass } from 'apps/admin-e2e/src/support/styling.util';
import { loginAsSafira } from 'apps/admin-e2e/src/support/user-util';

describe('Safira Navigation', () => {
  const mainPage: MainPage = new MainPage();

  before(() => {
    loginAsSafira();
  });

  it('should show benutzer navigation item', () => {
    exist(mainPage.getBenutzerNavigationItem());
  });

  it('should show organisationseinheiten navigation item', () => {
    exist(mainPage.getOrganisationEinheitNavigationItem());
  });

  describe('postfach navigation item', () => {
    it('should be visible', () => {
      exist(mainPage.getPostfachNavigationItem());
    });

    it('should be selected initial', () => {
      containClass(mainPage.getPostfachNavigationItem(), 'border-selected');
    });
  });

  describe('statistik auswertung navigation item', () => {
    it('should be visible', () => {
      exist(mainPage.getAuswertungenNavigationItem().getRoot());
    });

    it('should be initial selected', () => {
      notContainClass(mainPage.getAuswertungenNavigationItem().getLink(), E2EStylingClass.BRODER_SELECTED);
    });
  });

  describe('statistik datenfreigaben navigation item', () => {
    it('should be visible', () => {
      exist(mainPage.getDatenAnfragenNavigationItem().getRoot());
    });

    it('should NOT be initial selected', () => {
      notContainClass(mainPage.getDatenAnfragenNavigationItem().getLink(), E2EStylingClass.BRODER_SELECTED);
    });
  });

  describe('statistik datenfreigaben navigation item', () => {
    it('should be visible', () => {
      exist(mainPage.getDatenFreigabenNavigationItem().getRoot());
    });

    it('should NOT be initial selected', () => {
      notContainClass(mainPage.getDatenFreigabenNavigationItem().getLink(), E2EStylingClass.BRODER_SELECTED);
    });
  });
});
