import { Auswertung, FieldMapping } from '@admin-client/reporting-shared';
import { AuswertungFormE2EComponent } from '../../components/auswertung/auswertung-form.e2e.component';
import { enterWith } from '../../support/cypress.util';

export class E2EAuswertungExecutor {
  private formComponent: AuswertungFormE2EComponent = new AuswertungFormE2EComponent();

  public fillFormular(Auswertung: Auswertung): void {
    enterWith(this.formComponent.getNameInput(), Auswertung.name);
    enterWith(this.formComponent.getFormEngineInput(), Auswertung.formIdentifier.formEngineName);
    enterWith(this.formComponent.getFormIdInput(), Auswertung.formIdentifier.formId);

    Auswertung.mappings.forEach((fieldMapping, index) => {
      this.enterFieldMapping(fieldMapping, index);
    });
  }

  private enterFieldMapping(fieldMapping: FieldMapping, index: number): void {
    enterWith(this.formComponent.getSourceMappingFieldInput(index), fieldMapping.sourcePath);
    enterWith(this.formComponent.getTargetMappingFieldInput(index), fieldMapping.targetPath);
  }
}
