import { BenutzerE2EComponent, BenutzerListE2EComponent } from '../../components/benutzer/benutzer.e2e.component';
import { MainPage } from '../../page-objects/main.po';
import { exist } from '../../support/cypress.util';

export class E2EBenutzerNavigator {
  private mainPage: MainPage = new MainPage();
  private benutzerListPage: BenutzerListE2EComponent = new BenutzerListE2EComponent();
  private benutzerPage: BenutzerE2EComponent = new BenutzerE2EComponent();

  public openNewBenutzerPage(): void {
    this.openBenutzerListPage();

    this.benutzerListPage.getHinzufuegenButton().click();
    exist(this.benutzerPage.getHeadline());
  }

  public openBenutzerPage(userName: string) {
    this.openBenutzerListPage();
    this.benutzerListPage.getItem(userName).getRoot().click();
    exist(this.benutzerPage.getHeadline());
  }

  public openBenutzerListPage(): void {
    this.navigateToDomain();
    this.mainPage.getBenutzerNavigationItem().click();
    exist(this.benutzerListPage.getHeadline());
  }

  private navigateToDomain(): void {
    this.mainPage.getHeader().getLogo().click();
  }
}
