import { OrganisationsEinheitListE2EComponent } from '../../components/organisationseinheiten/organisationseinheiten.e2e.component';
import { MainPage } from '../../page-objects/main.po';
import { OrganisationsEinheitPage } from '../../page-objects/organisations-einheit.po';
import { exist } from '../../support/cypress.util';

export class E2EOrganisationsEinheitNavigator {
  private readonly mainPage: MainPage = new MainPage();

  private readonly organisationsEinheitPage: OrganisationsEinheitPage = new OrganisationsEinheitPage();
  private readonly organisationsEinheitList: OrganisationsEinheitListE2EComponent = this.organisationsEinheitPage.getList();

  public openOrganisationsEinheitListPage(): void {
    this.navigateToDomain();
    this.mainPage.getOrganisationEinheitNavigationItem().click();
    exist(this.organisationsEinheitList.getRoot());
  }

  private navigateToDomain(): void {
    this.mainPage.getHeader().getLogo().click();
  }
}
