/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

export class BasicDialogE2EComponent {
  private readonly locatorHeader: string = 'dialog-header';
  private readonly locatorMessage: string = 'dialog-message';
  private readonly locatorConfirmationButton = 'dialog-confirmation-button';
  private readonly locatorCancelButton = 'dialog-cancel-button';

  public getHeader() {
    return cy.getTestElement(this.locatorHeader);
  }

  public getHeaderText() {
    return this.getHeader().innerText;
  }

  public getMessage() {
    return cy.getTestElement(this.locatorMessage);
  }

  public getConfirmationButton() {
    return cy.getTestElement(this.locatorConfirmationButton);
  }

  public getCancelButton() {
    return cy.getTestElement(this.locatorCancelButton);
  }
}
