import { registerLocaleData } from '@angular/common';
import localeDe from '@angular/common/locales/de';
import localeDeExtra from '@angular/common/locales/extra/de';
import { E2EVorgangNavigator } from '../../../helper/vorgang/vorgang.navigator';
import { E2EVorgangVerifier } from '../../../helper/vorgang/vorgang.verifier';
import { VorgangE2E } from '../../../model/vorgang';
import { dropCollections } from '../../../support/cypress-helper';
import { loginAsEmil } from '../../../support/user-util';
import { createVorgang, initVorgaenge } from '../../../support/vorgang-util';

registerLocaleData(localeDe, 'de', localeDeExtra);

describe('Vorgang weiterleiten innerhalb der OzgCloud', () => {
  const vorgangNavigator: E2EVorgangNavigator = new E2EVorgangNavigator();
  const vorgangVerifier: E2EVorgangVerifier = new E2EVorgangVerifier();

  const vorgangWeiterleiten: VorgangE2E = { ...createVorgang(), name: 'Weiterleitung' };

  before(() => {
    initVorgaenge([vorgangWeiterleiten]);
  });

  after(() => {
    dropCollections();
  });

  describe('Weiterleiten', () => {
    describe('Emil', () => {
      it('should login as Emil', () => {
        loginAsEmil();
      });

      it('should open vorgang', () => {
        vorgangNavigator.openVorgang(vorgangWeiterleiten.name);
      });

      it('should display Weiterleiten button in Status Neu', () => {
        vorgangVerifier.verifyForwardingButtonExists();
      });
    });
  });
});
