import { waitForSpinnerToDisappear } from '../../page-objects/main.po';
import { PostfachMailPage } from '../../page-objects/postfach.po';
import { exist } from '../../support/cypress.util';
import { E2EAppHelper } from '../app.helper';

export class E2EPostfachHelper {
  private readonly appHelper: E2EAppHelper = new E2EAppHelper();
  private readonly postfachMailPage: PostfachMailPage = new PostfachMailPage();

  public navigateToPostfach(): void {
    this.appHelper.navigateRelative('postfach');
    waitForSpinnerToDisappear();
    exist(this.postfachMailPage.getRoot());
  }
}
