import { VorgangPage } from '../../page-objects/vorgang.po';
import { exist, notExist } from '../../support/cypress.util';

export class E2EPostfachVerifier {
  private readonly vorgangPage: VorgangPage = new VorgangPage();

  verifyMailIconWithoutBadgeExists(): void {
    exist(this.vorgangPage.getPostfachMailcontainer().getMailIcon());
    notExist(this.vorgangPage.getPostfachMailcontainer().getMailIconBadge());
  }

  verifyMailIconWithBadgeExists(): void {
    exist(this.vorgangPage.getPostfachMailcontainer().getMailIcon());
    exist(this.vorgangPage.getPostfachMailcontainer().getMailIconBadge());
  }
}
