/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { DateE2E, ObjectIdE2E } from './util';

export enum CommandOrderE2E {
  ASSIGN_USER = 'ASSIGN_USER',
  CREATE_ATTACHED_ITEM = 'CREATE_ATTACHED_ITEM',
  FORWARD_VORGANG = 'REDIRECT_VORGANG',
  FORWARD_SUCCESSFUL = 'FORWARD_SUCCESSFULL', //TODO Rename Order
  FORWARD_FAILED = 'FORWARD_FAILED',
  PATCH_ATTACHED_ITEM = 'PATCH_ATTACHED_ITEM',
  RECEIVE_POSTFACH_NACHRICHT = 'RECEIVE_POSTFACH_NACHRICHT',
  RESEND_POSTFACH_NACHRICHT = 'RESEND_POSTFACH_MAIL',
  SEND_POSTFACH_MAIL = 'SEND_POSTFACH_MAIL',
  SEND_POSTFACH_NACHRICHT = 'SEND_POSTFACH_NACHRICHT',
  SET_AKTENZEICHEN = 'SET_AKTENZEICHEN',
  UPDATE_ATTACHED_ITEM = 'UPDATE_ATTACHED_ITEM',
  VORGANG_WIEDEREROEFFNEN = 'VORGANG_WIEDEREROEFFNEN',
}

export enum CommandStatusE2E {
  PENDING = 'PENDING',
  FINISHED = 'FINISHED',
}

export class CommandE2E {
  _id: ObjectIdE2E;
  vorgangId: string;
  createdAt: DateE2E;
  createdBy: string;
  createdByName: string;
  status: string;
  relationId: string;
  relationVersion: number;
  order: CommandOrderE2E;
  body?: any;
  bodyObject: any;
  finishedAt: DateE2E;
}
