import { ConfigurationLinkRel, ConfigurationResource } from '@admin-client/configuration-shared';
import { ROUTES } from '@admin-client/shared';
import { HasLinkPipe, StateResource } from '@alfa-client/tech-shared';
import { CommonModule } from '@angular/common';
import { Component, Input } from '@angular/core';
import { IconComponent, NavItemComponent } from '@ods/system';
import { StatistikMenuComponent } from './statistik-menu/statistik-menu.component';

@Component({
  selector: 'admin-menu',
  standalone: true,
  imports: [CommonModule, NavItemComponent, IconComponent, HasLinkPipe, StatistikMenuComponent],
  templateUrl: './menu.component.html',
})
export class MenuComponent {
  @Input() configurationStateResource: StateResource<ConfigurationResource>;

  public readonly configurationLinkRel = ConfigurationLinkRel;
  public readonly ROUTES = ROUTES;
}
