import { ConfigurationLinkRel, ConfigurationResource, ConfigurationService } from '@admin-client/configuration-shared';
import { ApiListResourceService, ListResourceServiceConfig, ResourceRepository } from '@alfa-client/tech-shared';
import { AuswertungListLinkRel } from './auswertung.linkrel';
import { AuswertungListResource, AuswertungResource } from './auswertung.model';
import { AUSWERTUNG_FEATURE_KEY, AUSWERTUNG_LIST_PATH } from './auswertung.state';

export class AuswertungListResourceService extends ApiListResourceService<
  ConfigurationResource,
  AuswertungListResource,
  AuswertungResource
> {}

export function createAuswertungListResourceService(repository: ResourceRepository, configurationService: ConfigurationService) {
  return new ApiListResourceService(buildConfig(configurationService), repository);
}

function buildConfig(configurationService: ConfigurationService): ListResourceServiceConfig<ConfigurationResource> {
  return {
    stateInfo: { name: AUSWERTUNG_FEATURE_KEY, path: AUSWERTUNG_LIST_PATH },
    baseResource: configurationService.get(),
    listResourceListLinkRel: AuswertungListLinkRel.LIST,
    getLinkRel: ConfigurationLinkRel.AUSWERTUNG,
    create: { linkRel: AuswertungListLinkRel.SELF },
  };
}
