import { NavigationService } from '@alfa-client/navigation-shared';
import { ResourceRepository, StateService } from '@alfa-client/tech-shared';
import { Provider } from '@angular/core';
import { ConfigurationService } from 'libs/admin/configuration-shared/src/lib/configuration.service';
import { AuswertungListResourceService, createAuswertungListResourceService } from './auswertung-list-resource.service';
import { AuswertungResourceService, createAuswertungResourceService } from './auswertung-resource.service';
import { AuswertungService } from './auswertung.service';

export const AuswertungProvider: Provider[] = [
  {
    provide: AuswertungListResourceService,
    useFactory: createAuswertungListResourceService,
    deps: [ResourceRepository, ConfigurationService],
  },
  {
    provide: AuswertungResourceService,
    useFactory: createAuswertungResourceService,
    deps: [ResourceRepository, StateService, NavigationService],
  },
  AuswertungService,
];
