import { StateResource } from '@alfa-client/tech-shared';
import { inject, Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { AuswertungListResourceService } from './auswertung-list-resource.service';
import { AuswertungResourceService } from './auswertung-resource.service';
import { Auswertung, AuswertungListResource, AuswertungResource } from './auswertung.model';

@Injectable({ providedIn: 'root' })
export class AuswertungService {
  private readonly listService = inject(AuswertungListResourceService);
  private readonly resourceService = inject(AuswertungResourceService);

  public getList(): Observable<StateResource<AuswertungListResource>> {
    return this.listService.getList();
  }

  public create(toCreate: Auswertung): Observable<StateResource<AuswertungResource>> {
    return this.listService.create(toCreate);
  }

  public refreshList(): void {
    this.listService.refresh();
  }

  public get(): Observable<StateResource<AuswertungResource>> {
    return this.resourceService.get();
  }

  public save(auswertung: Auswertung): Observable<StateResource<AuswertungResource>> {
    return this.resourceService.save(auswertung);
  }
}
