import { SingleResourceReducer, SingleResourceState, createSingleResourceActions } from '@alfa-client/tech-shared';
import { Action, ActionReducerMap } from '@ngrx/store';
import { AUSWERTUNG_FEATURE_KEY, AUSWERTUNG_PATH } from '../auswertung.state';

export interface AuswertungParentState {
  [AUSWERTUNG_PATH]: SingleResourceState;
}

export const auswertungReducer: ActionReducerMap<AuswertungParentState> = {
  [AUSWERTUNG_PATH]: auswertungResourceReducer,
};

function auswertungResourceReducer(state: SingleResourceState, action: Action): SingleResourceState {
  const resourceReducer: SingleResourceReducer = new SingleResourceReducer(
    createSingleResourceActions({ name: AUSWERTUNG_FEATURE_KEY, path: AUSWERTUNG_PATH }),
  );
  return resourceReducer.reducer(state, action);
}
