import { AuswertungListLinkRel } from '@admin-client/reporting-shared';
import { faker } from '@faker-js/faker';
import { times } from 'lodash-es';
import { LinkRelationName } from '../../../tech-shared/src';
import { toResource } from '../../../tech-shared/test/resource';
import { Auswertung, AuswertungListResource, AuswertungResource } from '../src';

export function createAuswertung(): Auswertung {
  return {
    name: faker.word.noun(),
    formIdentifier: {
      formEngineName: faker.lorem.word(),
      formId: faker.string.uuid(),
    },
    mappings: [
      {
        sourcePath: faker.lorem.word(),
        targetPath: faker.lorem.word(),
      },
    ],
  };
}

export function createAuswertungResource(linkRelations: LinkRelationName[] = []): AuswertungResource {
  return toResource(createAuswertung(), linkRelations);
}

export function createAuswertungResources(linkRelations: LinkRelationName[] = []): AuswertungResource[] {
  return times(10, () => createAuswertungResource(linkRelations));
}

export function createAuswertungListResource(linkRelations: LinkRelationName[] = []): AuswertungListResource {
  return toResource({}, linkRelations, {
    [AuswertungListLinkRel.LIST]: createAuswertungResources(),
  });
}
