import { AuswertungService } from '@admin-client/reporting-shared';
import { Mock, mock } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { expect } from '@jest/globals';
import { SpinnerComponent } from '@ods/component';
import { MockComponent } from 'ng-mocks';
import { AuswertungFormContainerComponent } from './auswertung-form-container.component';
import { AuswertungFormComponent } from './auswertung-form/auswertung-form.component';

describe('AuswertungFormContainerComponent', () => {
  let component: AuswertungFormContainerComponent;
  let fixture: ComponentFixture<AuswertungFormContainerComponent>;

  let auswertungService: Mock<AuswertungService>;

  beforeEach(async () => {
    auswertungService = mock(AuswertungService);

    await TestBed.configureTestingModule({
      imports: [AuswertungFormContainerComponent, MockComponent(SpinnerComponent), MockComponent(AuswertungFormComponent)],
      providers: [
        {
          provide: AuswertungService,
          useValue: auswertungService,
        },
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(AuswertungFormContainerComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('component', () => {
    describe('on destroy', () => {
      it('should reload list', () => {
        component.ngOnDestroy();

        expect(auswertungService.refreshList).toHaveBeenCalled();
      });
    });
  });
});
