import { AuswertungListResource, AuswertungService } from '@admin-client/reporting-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { AsyncPipe } from '@angular/common';
import { Component, inject, OnDestroy } from '@angular/core';
import { SpinnerComponent } from '@ods/component';
import { Observable } from 'rxjs';
import { AuswertungFormComponent } from './auswertung-form/auswertung-form.component';

@Component({
  selector: 'admin-auswertung-form-container',
  standalone: true,
  imports: [SpinnerComponent, AsyncPipe, AuswertungFormComponent],
  templateUrl: './auswertung-form-container.component.html',
})
export class AuswertungFormContainerComponent implements OnDestroy {
  public readonly auswertungService = inject(AuswertungService);

  public readonly listStateResource$: Observable<StateResource<AuswertungListResource>> = this.auswertungService.getList();

  ngOnDestroy(): void {
    this.auswertungService.refreshList();
  }
}
