import { AuswertungResource } from '@admin-client/reporting-shared';
import { ADMIN_FORMSERVICE, AdminCancelButtonComponent, AdminSaveButtonComponent, ROUTES } from '@admin-client/shared';
import { StateResource } from '@alfa-client/tech-shared';
import { AsyncPipe } from '@angular/common';
import { Component, inject } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { SpinnerComponent, TextEditorComponent } from '@ods/component';
import { ButtonComponent, IconComponent } from '@ods/system';
import { Observable } from 'rxjs';
import { AuswertungFieldListFormComponent } from './auswertung-field-list-form/auswertung-field-list-form.component';
import { AuswertungFormservice } from './auswertung.formservice';

@Component({
  selector: 'admin-auswertung-form',
  templateUrl: './auswertung-form.component.html',
  standalone: true,
  imports: [
    ButtonComponent,
    IconComponent,
    ReactiveFormsModule,
    AdminSaveButtonComponent,
    AdminCancelButtonComponent,
    AuswertungFieldListFormComponent,
    SpinnerComponent,
    AsyncPipe,
    TextEditorComponent,
  ],
  providers: [{ provide: ADMIN_FORMSERVICE, useClass: AuswertungFormservice }],
})
export class AuswertungFormComponent {
  public readonly formService = <AuswertungFormservice>inject(ADMIN_FORMSERVICE);

  public readonly auswertungStateResource$: Observable<StateResource<AuswertungResource>> = this.formService.get();

  public readonly AuswertungFormService = AuswertungFormservice;
  public readonly Routes = ROUTES;
}
