import { AuswertungResource } from '@admin-client/reporting-shared';
import { ToResourceUriPipe } from '@alfa-client/tech-shared';
import { getElementFromFixtureByType } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { expect } from '@jest/globals';
import { ListItemComponent } from '@ods/system';
import { createAuswertungResource } from 'libs/admin/reporting-shared/test/auswertung';
import { MockComponent } from 'ng-mocks';
import { AuswertungListItemComponent } from './auswertung-list-item.component';

describe('AuswertungListItemComponent', () => {
  let component: AuswertungListItemComponent;
  let fixture: ComponentFixture<AuswertungListItemComponent>;

  const toResourceUriPipe: ToResourceUriPipe = new ToResourceUriPipe();
  const auswertungResource: AuswertungResource = createAuswertungResource();

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [AuswertungListItemComponent, ToResourceUriPipe, MockComponent(ListItemComponent)],
    }).compileComponents();

    fixture = TestBed.createComponent(AuswertungListItemComponent);
    component = fixture.componentInstance;
    component.auswertung = auswertungResource;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('template', () => {
    describe('list item', () => {
      it('should have inputs', () => {
        const comp: ListItemComponent = getElementFromFixtureByType(fixture, ListItemComponent);

        expect(comp.path).toEqual(toResourceUriPipe.transform(auswertungResource));
      });
    });
  });
});
