import { AuswertungListLinkRel, AuswertungListResource } from '@admin-client/reporting-shared';
import { createStateResource, getEmbeddedResources, StateResource } from '@alfa-client/tech-shared';
import { expectComponentExistsInTemplate, getElementFromFixtureByType } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { expect } from '@jest/globals';
import { SpinnerComponent } from '@ods/component';
import { ListComponent } from '@ods/system';
import { MockComponent } from 'ng-mocks';
import { createAuswertungListResource } from '../../../../../../reporting-shared/test/auswertung';
import { AuswertungListItemComponent } from './auswertung-list-item/auswertung-list-item.component';
import { AuswertungListComponent } from './auswertung-list.component';

describe('AuswertungListComponent', () => {
  let component: AuswertungListComponent;
  let fixture: ComponentFixture<AuswertungListComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [
        AuswertungListComponent,
        MockComponent(SpinnerComponent),
        MockComponent(ListComponent),
        MockComponent(AuswertungListItemComponent),
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(AuswertungListComponent);
    component = fixture.componentInstance;
    component.auswertungListStateResource = createStateResource(createAuswertungListResource());
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('template', () => {
    const auswertungListStateResource: StateResource<AuswertungListResource> =
      createStateResource(createAuswertungListResource());

    beforeEach(() => {
      component.auswertungListStateResource = auswertungListStateResource;
      fixture.detectChanges();
    });

    it('should have list', () => {
      expectComponentExistsInTemplate(fixture, ListComponent);
    });

    it('should have spinner with state resource', () => {
      const comp: SpinnerComponent = getElementFromFixtureByType(fixture, SpinnerComponent);

      expect(comp.stateResource).toEqual(auswertungListStateResource);
    });

    it('should have list item with mapping', () => {
      const comp: AuswertungListItemComponent = getElementFromFixtureByType(fixture, AuswertungListItemComponent);
      expect(comp.auswertung).toEqual(getEmbeddedResources(auswertungListStateResource, AuswertungListLinkRel.LIST)[0]);
    });
  });
});
