import { ConfigurationLinkRel, ConfigurationResource, ConfigurationService } from '@admin-client/configuration-shared';
import { ApiListResourceService, ListResourceServiceConfig, ResourceRepository } from '@alfa-client/tech-shared';
import { Resource } from '@ngxp/rest';
import { SettingListLinkRel } from './settings.linkrel';
import { SettingItemResource, SettingListResource } from './settings.model';

export class SettingListResourceService extends ApiListResourceService<Resource, SettingListResource, SettingItemResource<unknown>> {}

export function createSettingListResourceService(repository: ResourceRepository, configurationService: ConfigurationService) {
  return new ApiListResourceService(buildConfig(configurationService), repository);
}
function buildConfig(configurationService: ConfigurationService): ListResourceServiceConfig<ConfigurationResource> {
  return {
    baseResource: configurationService.get(),
    listResourceListLinkRel: SettingListLinkRel.LIST,
    getLinkRel: ConfigurationLinkRel.SETTING,
    create: { linkRel: SettingListLinkRel.CREATE },
  };
}
