import { AdminCancelButtonComponent } from '@admin-client/shared';
import { getMockComponent } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { RoutingButtonComponent } from '@ods/component';
import { IconComponent } from '@ods/system';
import { MockComponent } from 'ng-mocks';

describe('AdminCancelButtonComponent', () => {
  let component: AdminCancelButtonComponent;
  let fixture: ComponentFixture<AdminCancelButtonComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [AdminCancelButtonComponent],
      declarations: [MockComponent(RoutingButtonComponent), MockComponent(IconComponent)],
    }).compileComponents();

    fixture = TestBed.createComponent(AdminCancelButtonComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('button', () => {
    it('should be called with linkPath', () => {
      component.linkPath = 'dummyLinkPath';

      fixture.detectChanges();

      expect(getMockComponent(fixture, RoutingButtonComponent).linkPath).toBe('dummyLinkPath');
    });
  });
});
