import { EMPTY_STRING } from '@alfa-client/tech-shared';
import { FormControl, UntypedFormGroup } from '@angular/forms';
import { faker } from '@faker-js/faker/locale/de';
import { UserFormService } from '../src/lib/user-form/user.formservice';

export function createUserFormGroup(): UntypedFormGroup {
  return new UntypedFormGroup({
    [UserFormService.FIRST_NAME]: new FormControl(EMPTY_STRING),
    [UserFormService.LAST_NAME]: new FormControl(EMPTY_STRING),
    [UserFormService.USERNAME]: new FormControl(EMPTY_STRING),
    [UserFormService.EMAIL]: new FormControl(EMPTY_STRING),
    [UserFormService.CLIENT_ROLES]: new UntypedFormGroup({
      [UserFormService.ADMINISTRATION_GROUP]: new UntypedFormGroup({
        [UserFormService.ADMIN]: new FormControl(false),
        [UserFormService.DATENBEAUFTRAGUNG]: new FormControl(false),
      }),
      [UserFormService.ALFA_GROUP]: new UntypedFormGroup({
        [UserFormService.LOESCHEN]: new FormControl(false),
        [UserFormService.USER]: new FormControl(false),
        [UserFormService.POSTSTELLE]: new FormControl(false),
      }),
    }),
    [UserFormService.GROUPS]: new UntypedFormGroup({
      organisationsEinheiten: new FormControl([
        { [faker.word.sample()]: new FormControl(true) },
        { [faker.word.sample()]: new FormControl(true) },
      ]),
    }),
  });
}
