import { SingleResourceReducer, SingleResourceState, createSingleResourceActions } from '@alfa-client/tech-shared';
import { Action, ActionReducerMap } from '@ngrx/store';
import { BESCHEID_DRAFT_PATH, BESCHEID_FEATURE_KEY } from '../bescheid.state';

export interface BescheidParentState {
  [BESCHEID_DRAFT_PATH]: SingleResourceState;
}

export const bescheidReducer: ActionReducerMap<BescheidParentState> = {
  [BESCHEID_DRAFT_PATH]: bescheidResourceReducer,
};

function bescheidResourceReducer(state: SingleResourceState, action: Action): SingleResourceState {
  const resourceReducer: SingleResourceReducer = new SingleResourceReducer(
    createSingleResourceActions({ name: BESCHEID_FEATURE_KEY, path: BESCHEID_DRAFT_PATH }),
  );
  return resourceReducer.reducer(state, action);
}
