/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { dispatchEventFromFixture } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ButtonComponent } from '@ods/system';
import { getDataTestIdAttributeOf } from 'libs/tech-shared/test/data-test';
import { MockComponent } from 'ng-mocks';
import { AnfrageErstellenButtonComponent } from './anfrage-erstellen-button.component';

describe('AnfrageErstellenButtonComponent', () => {
  let component: AnfrageErstellenButtonComponent;
  let fixture: ComponentFixture<AnfrageErstellenButtonComponent>;

  const button: string = getDataTestIdAttributeOf('anfrage-erstellen-button');

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [AnfrageErstellenButtonComponent],
      imports: [MockComponent(ButtonComponent)],
    }).compileComponents();

    fixture = TestBed.createComponent(AnfrageErstellenButtonComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('click on button', () => {
    it('should emit', () => {
      component.clickEmitter.emit = jest.fn();

      dispatchEventFromFixture(fixture, button, 'clickEmitter');

      expect(component.clickEmitter.emit).toHaveBeenCalled();
    });
  });
});
