import { CommonModule } from '@angular/common';
import { Component, Input } from '@angular/core';
import { LinkComponent, TooltipDirective } from '@ods/system';
import { IconComponent } from '../../../../design-system/src/lib/icon/icon.component';

@Component({
  selector: 'common-accessibility-button',
  standalone: true,
  imports: [CommonModule, LinkComponent, TooltipDirective, IconComponent],
  template: `<ods-link [url]="url" [linkTestId]="linkTestId" tooltip="Barrierefreiheit" [openInNewTab]="true">
    <ods-icon name="accessibility" size="large" fill="neutral" />
  </ods-link>`,
})
export class AccessibilityButtonComponent {
  @Input({ required: true }) url!: string;
  @Input() linkTestId: string | null = null;
}
