/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { moduleMetadata, type Meta, type StoryObj } from '@storybook/angular';

import { AttachmentHeaderComponent } from '../attachment-header/attachment-header.component';
import { AttachmentComponent } from '../attachment/attachment.component';
import { IconComponent } from '../icon/icon.component';
import { AttachmentWrapperComponent } from './attachment-wrapper.component';

const meta: Meta<AttachmentWrapperComponent> = {
  title: 'Wrappers/Attachment wrapper',
  component: AttachmentWrapperComponent,
  parameters: {
    docs: {
      description: {
        component: 'Wrapper for multiple attachments',
      },
    },
  },
  decorators: [
    moduleMetadata({
      imports: [AttachmentWrapperComponent, AttachmentComponent, AttachmentHeaderComponent, IconComponent],
    }),
  ],
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<AttachmentWrapperComponent>;

export const Default: Story = {
  render: () => ({
    template: `<ods-attachment-wrapper>
        <ods-attachment-header title="Anhänge">
          <button action-buttons>
            <ods-icon name="save" size="small" fill="text" />
          </button>
        </ods-attachment-header>
        <ods-attachment caption="Attachment" description="200 kB" fileType="pdf"></ods-attachment>
        <ods-attachment caption="Second attachment" description="432 kB" fileType="doc"></ods-attachment>
    </ods-attachment-wrapper>`,
  }),
};
