/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';

import { createStateResource, StateResource } from '@alfa-client/tech-shared';
import { ExterneFachstelleResource } from '@alfa-client/zustaendige-stelle-shared';
import { IconComponent } from '@ods/system';
import { toResource } from 'libs/tech-shared/test/resource';
import { createExterneFachstelle } from 'libs/zustaendige-stelle-shared/test/externe-fachstelle';
import { MockComponent } from 'ng-mocks';
import { ExterneFachstelleListItemComponent } from './externe-fachstelle-list-item.component';

describe('ExterneFachstelleListItemComponent', () => {
  let component: ExterneFachstelleListItemComponent;
  let fixture: ComponentFixture<ExterneFachstelleListItemComponent>;

  const externeFachstelle: ExterneFachstelleResource = toResource(createExterneFachstelle());
  const externeFachstelleState: StateResource<ExterneFachstelleResource> = createStateResource(externeFachstelle);

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [ExterneFachstelleListItemComponent, MockComponent(IconComponent)],
    }).compileComponents();

    fixture = TestBed.createComponent(ExterneFachstelleListItemComponent);
    component = fixture.componentInstance;
    component.externeFachstelleStateResource = externeFachstelleState;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
