import { CommandResource } from '@alfa-client/command-shared';
import { EMPTY_STRING, StateResource } from '@alfa-client/tech-shared';
import { Component, EventEmitter, Input, Output } from '@angular/core';
import { ButtonWithSpinnerComponent } from '@ods/component';
import { IconComponent, TooltipDirective } from '@ods/system';

@Component({
  selector: 'alfa-forwarding-button',
  standalone: true,
  imports: [ButtonWithSpinnerComponent, IconComponent, TooltipDirective],
  templateUrl: './forwarding-button.component.html',
})
export class ForwardingButtonComponent {
  @Input() set disabled(value: boolean) {
    this._disabled = value;
    this.tooltip = value ? 'Bitte ein Amt oder Stelle auswählen' : EMPTY_STRING;
  }
  @Input() stateResource: StateResource<CommandResource>;

  @Output() clickEmitter: EventEmitter<void> = new EventEmitter();

  public tooltip: string;
  private _disabled: boolean;

  get disabled() {
    return this._disabled;
  }
}
