import { CommandResource } from '@alfa-client/command-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { CancelDialogButtonComponent } from '@alfa-client/ui-shared';
import { ZustaendigeStelleModule } from '@alfa-client/zustaendige-stelle';
import { OrganisationsEinheitResource } from '@alfa-client/zustaendige-stelle-shared';
import { A11yModule } from '@angular/cdk/a11y';
import { Component, EventEmitter, Input, Output } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { getUrl, ResourceUri } from '@ngxp/rest';
import { DialogContainerComponent } from '@ods/system';
import { ForwardingButtonComponent } from './forwarding-button/forwarding-button.component';
import { ForwardingSearchOrganisationsEinheitComponent } from './search-organisations-einheit/search-organisations-einheit.component';
import { SelectedSearchItemComponent } from './selected-search-item/selected-search-item.component';

@Component({
  selector: 'alfa-forwarding-dialog',
  standalone: true,
  imports: [
    A11yModule,
    CancelDialogButtonComponent,
    ReactiveFormsModule,
    ZustaendigeStelleModule,
    ForwardingButtonComponent,
    ForwardingSearchOrganisationsEinheitComponent,
    SelectedSearchItemComponent,
    DialogContainerComponent,
  ],
  templateUrl: './forwarding-dialog.component.html',
})
export class ForwardingDialogComponent {
  @Input() selectedSearchResult: OrganisationsEinheitResource;
  @Input() forwardCommandStateResource: StateResource<CommandResource>;

  @Output() forward: EventEmitter<ResourceUri> = new EventEmitter();

  public onForwarding(): void {
    this.forward.emit(getUrl(this.selectedSearchResult));
  }
}
