import { SingleResourceReducer, createSingleResourceActions } from '@alfa-client/tech-shared';
import { Action, ActionReducerMap } from '@ngrx/store';
import { KOMMENTAR_FEATURE_KEY, KOMMENTAR_PATH } from '../kommentar.state';
import { SingleResourceState } from '@alfa-client/tech-shared';

export interface KommentarParentState {
  [KOMMENTAR_PATH]: SingleResourceState;
}

export const kommentarReducer: ActionReducerMap<KommentarParentState> = {
  [KOMMENTAR_PATH]: kommentarResourceReducer,
};

function kommentarResourceReducer(state: SingleResourceState, action: Action): SingleResourceState {
  const resourceReducer: SingleResourceReducer = new SingleResourceReducer(
    createSingleResourceActions({ name: KOMMENTAR_FEATURE_KEY, path: KOMMENTAR_PATH }),
  );
  return resourceReducer.reducer(state, action);
}
