import { CommandOrder, CommandResourceService, CommandService } from '@alfa-client/command-shared';
import { ResourceServiceConfig, StateService } from '@alfa-client/tech-shared';
import { KommentarListResourceService } from './kommentar-list-resource.service';
import { KommentarLinkRel } from './kommentar.linkrel';
import { KommentarResource } from './kommentar.model';
import { KOMMENTAR_FEATURE_KEY, KOMMENTAR_PATH } from './kommentar.state';

export class KommentarResourceService extends CommandResourceService<
  KommentarResource,
  KommentarResource
> {}

export function createKommentarResourceService(
  stateService: StateService,
  kommentarListResourceService: KommentarListResourceService,
  commandService: CommandService,
) {
  return new KommentarResourceService(
    buildConfig(kommentarListResourceService),
    stateService,
    commandService,
  );
}

export function buildConfig(
  kommentarListResourceService: KommentarListResourceService,
): ResourceServiceConfig<KommentarResource> {
  return {
    stateInfo: { name: KOMMENTAR_FEATURE_KEY, path: KOMMENTAR_PATH },
    baseResource: kommentarListResourceService.getSelected(),
    getLinkRel: KommentarLinkRel.SELF,
    edit: { linkRel: KommentarLinkRel.EDIT, order: CommandOrder.EDIT_KOMMENTAR },
  };
}
