/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { CommandService } from '@alfa-client/command-shared';
import { ResourceRepository, StateService } from '@alfa-client/tech-shared';
import { VorgangService, VorgangSharedModule } from '@alfa-client/vorgang-shared';
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { StoreModule } from '@ngrx/store';
import { kommentarReducer } from './+state/kommentar.reducer';
import { KommentarListResourceService, createKommentarListResourceService } from './kommentar-list-resource.service';
import { KommentarResourceService, createKommentarResourceService } from './kommentar-recource.service';
import { KommentarService } from './kommentar.service';
import { KOMMENTAR_FEATURE_KEY } from './kommentar.state';

@NgModule({
  imports: [CommonModule, VorgangSharedModule, StoreModule.forFeature(KOMMENTAR_FEATURE_KEY, kommentarReducer)],
  providers: [
    KommentarService,
    {
      provide: KommentarListResourceService,
      useFactory: createKommentarListResourceService,
      deps: [VorgangService, ResourceRepository, CommandService],
    },
    {
      provide: KommentarResourceService,
      useFactory: createKommentarResourceService,
      deps: [StateService, KommentarListResourceService, CommandService],
    },
  ],
})
export class KommentarSharedModule {}
