/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { KommentarListLinkRel, KommentarListResource, KommentarService } from '@alfa-client/kommentar-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { Component, inject, Input, OnInit } from '@angular/core';
import { Observable } from 'rxjs';

@Component({
  selector: 'alfa-kommentar-list-in-vorgang-container',
  templateUrl: './kommentar-list-in-vorgang-container.component.html',
  styleUrls: ['./kommentar-list-in-vorgang-container.component.scss'],
})
export class KommentarListInVorgangContainerComponent implements OnInit {
  public readonly kommentarService = inject(KommentarService);

  @Input() vorgangStateResource: StateResource<VorgangWithEingangResource>;

  public showFormular$: Observable<boolean>;
  public readonly KommentarListLinkRel = KommentarListLinkRel;
  kommentarListStateResource$: Observable<StateResource<KommentarListResource>>;

  ngOnInit(): void {
    this.showFormular$ = this.kommentarService.isNewKommentarFormularVisible();
    this.kommentarListStateResource$ = this.kommentarService.getKommentare();
  }

  showFormular(): void {
    this.kommentarService.showNewKommentarFormular();
  }

  hideFormular(): void {
    this.kommentarService.hideNewKommentarFormular();
  }
}
