/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';

import { createStateResource, StateResource } from '@alfa-client/tech-shared';
import { OrganisationsEinheitResource } from '@alfa-client/zustaendige-stelle-shared';
import { IconComponent } from '@ods/system';
import { toResource } from 'libs/tech-shared/test/resource';
import { createOrganisationsEinheit } from 'libs/zustaendige-stelle-shared/test/organisations-einheit';
import { MockComponent } from 'ng-mocks';
import { OrganisationsEinheitListItemComponent } from './organisations-einheit-list-item.component';

describe('OrganisationsEinheitListItemComponent', () => {
  let component: OrganisationsEinheitListItemComponent;
  let fixture: ComponentFixture<OrganisationsEinheitListItemComponent>;

  const organisationsEinheitResource: OrganisationsEinheitResource = toResource(createOrganisationsEinheit());
  const organisationsEinheitStateResource: StateResource<OrganisationsEinheitResource> =
    createStateResource(organisationsEinheitResource);

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [OrganisationsEinheitListItemComponent, MockComponent(IconComponent)],
    }).compileComponents();

    fixture = TestBed.createComponent(OrganisationsEinheitListItemComponent);
    component = fixture.componentInstance;
    component.organisationsEinheitStateResource = organisationsEinheitStateResource;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
