import { Mock, mock, useFromMock } from '@alfa-client/test-utils';
import { Actions, EffectSources } from '@ngrx/effects';
import { of } from 'rxjs';
import { ResourceRepository } from '../resource/resource.repository';
import { SingleResourceLoadActions } from './actions';
import { EffectService } from './effects.service';

describe('EffectService', () => {
  let service: EffectService;
  let actions: Actions;
  let effectSources: Mock<EffectSources>;
  let repository: Mock<ResourceRepository>;

  const resourceActions: Mock<SingleResourceLoadActions> = <any>{};

  beforeEach(() => {
    actions = of();
    effectSources = mock(EffectSources);
    repository = mock(ResourceRepository);

    service = new EffectService(actions, useFromMock(effectSources), useFromMock(repository));
  });

  describe('add single resource effect', () => {
    it('should call effect sources to add effect', () => {
      service.addSingleResourceEffects(useFromMock(resourceActions));

      expect(effectSources.addEffects).toHaveBeenCalled();
    });
  });
});
