import { Injectable } from '@angular/core';
import { Actions, EffectSources } from '@ngrx/effects';
import { ResourceRepository } from '../resource/resource.repository';
import { SingleResourceLoadActions } from './actions';
import { ResourceEffects } from './resource.effects';

@Injectable({ providedIn: 'root' })
export class EffectService {
  constructor(
    private actions$: Actions,
    private effectSources: EffectSources,
    private repository: ResourceRepository,
  ) {}

  public addSingleResourceEffects(resourceActions: SingleResourceLoadActions): void {
    this.effectSources.addEffects({
      ...new ResourceEffects(this.actions$, this.repository, resourceActions),
    });
  }
}
