import { Resource } from '@ngxp/rest';
import {
  FUNCTIONAL_FEATURE_PATH_KEY,
  SingleResourceParentState,
  StateInfoTestFactory,
} from 'libs/tech-shared/test/ngrx';
import { createDummyResource } from 'libs/tech-shared/test/resource';
import { StateResource, createStateResource } from '../resource/resource.util';
import { initialResourceState } from './state.model';

import * as Selectors from './selector';

describe('Selector', () => {
  let state: SingleResourceParentState;

  const stateResource: StateResource<Resource> = createStateResource(createDummyResource());

  beforeEach(() => {
    state = {
      FunctionalState: {
        FunctionalResourcePath: {
          ...initialResourceState,
          resource: stateResource,
        },
      },
    };
  });

  it('should return resource from state', () => {
    const result: StateResource<Resource> = <any>(
      Selectors.selectResource(StateInfoTestFactory.create()).projector(
        state.FunctionalState[FUNCTIONAL_FEATURE_PATH_KEY],
      )
    );

    expect(result).toBe(stateResource);
  });

  it('should check resource in state exists', () => {
    const result: StateResource<Resource> = <any>(
      Selectors.existResource(StateInfoTestFactory.create()).projector(
        state.FunctionalState[FUNCTIONAL_FEATURE_PATH_KEY],
      )
    );

    expect(result).toBeTruthy();
  });
});
