import { createFeatureSelector, createSelector } from '@ngrx/store';
import { StateInfo } from '../resource/resource.model';
import { SingleResourceState } from './state.model';

export const selectResource = <T>(stateInfo: StateInfo) =>
  createSelector(
    createFeatureSelector<SingleResourceState>(stateInfo.name),
    (state: SingleResourceState) =>
      <T>getFeatureState<SingleResourceState>(stateInfo, state).resource,
  );

export const existResource = <T>(stateInfo: StateInfo) =>
  createSelector(
    createFeatureSelector<SingleResourceState>(stateInfo.name),
    (state: SingleResourceState) =>
      <T>getFeatureState<SingleResourceState>(stateInfo, state).resource.loaded,
  );

function getFeatureState<T>(stateInfo: StateInfo, state: any): T {
  return <T>state.hasOwnProperty(stateInfo.path) ? state[stateInfo.path] : state;
}
