import { IsFieldPresentPipe } from './is-field-present.pipe';

describe('IsFieldPresentPipe', () => {
  const pipe: IsFieldPresentPipe = new IsFieldPresentPipe();
  const fieldName: string = 'myField';

  it('should return true if field exists', () => {
    const isPresent: boolean = pipe.transform({ myField: 'huhu' }, fieldName);

    expect(isPresent).toBeTruthy();
  });

  it('should return true if field is null', () => {
    const isPresent: boolean = pipe.transform({ myField: null }, fieldName);

    expect(isPresent).toBeTruthy();
  });

  it('should return false if field is not present', () => {
    const isPresent: boolean = pipe.transform({}, fieldName);

    expect(isPresent).toBeFalsy();
  });

  it('should return false if obj is null', () => {
    const isPresent: boolean = pipe.transform(null, fieldName);

    expect(isPresent).toBeFalsy();
  });

  it('should return false if obj is undefined', () => {
    const isPresent: boolean = pipe.transform(undefined, fieldName);

    expect(isPresent).toBeFalsy();
  });
});
