/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { cold, hot, ObservableWithSubscriptions } from 'jest-marbles';
import { HttpError } from '../src/lib/tech.model';

export function singleHot(object: any, frame: string = 'a'): ObservableWithSubscriptions {
  return hot(frame, { a: object });
}

export function singleCold(object: any, frame: string = 'a'): ObservableWithSubscriptions {
  return cold(frame, { a: object });
}

export function singleColdCompleted(object: any, frame: string = 'a'): ObservableWithSubscriptions {
  return cold(`(${frame}|)`, { a: object });
}

export function multipleCold(first: any, second: any): ObservableWithSubscriptions {
  return cold('ab', { a: first, b: second });
}

export function coldError(error: HttpError): ObservableWithSubscriptions {
  return cold('-#', null, { error: { error: error } });
}

export function coldStartWithError(startWith: any, error: any): ObservableWithSubscriptions {
  return cold('a(b|)', { a: startWith, b: error });
}
