import { Mock, mock } from '@alfa-client/test-utils';

describe('mock', () => {
  class TestService {
    methodTestService() {}
  }

  class ExtendedService extends TestService {
    prop: string = 'test';
    methodExtendedService() {}
  }

  const mockedService: Mock<ExtendedService> = mock(ExtendedService);

  it('should mock methods of a class', () => {
    expect(mockedService.methodTestService).toBeDefined();
  });

  it('should mock methods of inherited class', () => {
    expect(mockedService.methodExtendedService).toBeDefined();
  });

  it('should not mock non-function properties', () => {
    expect(mockedService.prop).toBeUndefined();
  });
});
