import { ComponentFixture, TestBed } from '@angular/core/testing';

import { mock } from '@alfa-client/test-utils';
import { OzgcloudDialogService } from '@alfa-client/ui-shared';
import { ButtonComponent, IconComponent } from '@ods/system';
import { createVorgangWithEingangResource } from 'libs/vorgang-shared/test/vorgang';
import { MockComponent } from 'ng-mocks';
import { VorgangArchiveConfirmationDialogContainerComponent } from './vorgang-archive-confirmation-dialog-container/vorgang-archive-confirmation-dialog-container.component';
import { VorgangArchiveContainerComponent } from './vorgang-archive-container.component';

describe('VorgangArchiveContainerComponent', () => {
  let component: VorgangArchiveContainerComponent;
  let fixture: ComponentFixture<VorgangArchiveContainerComponent>;

  const vorgangWithEingang = createVorgangWithEingangResource();

  const dialogService = mock(OzgcloudDialogService);

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [
        VorgangArchiveContainerComponent,
        MockComponent(ButtonComponent),
        MockComponent(VorgangArchiveConfirmationDialogContainerComponent),
        MockComponent(IconComponent),
      ],
      providers: [
        {
          provide: OzgcloudDialogService,
          useValue: dialogService,
        },
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(VorgangArchiveContainerComponent);
    component = fixture.componentInstance;
    component.vorgangWithEingang = vorgangWithEingang;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('component', () => {
    describe('openArchiveConfirmationDialog', () => {
      it('should call dialog service open', () => {
        component.openArchiveConfirmationDialog();

        expect(dialogService.open).toHaveBeenCalledWith(VorgangArchiveConfirmationDialogContainerComponent, {
          vorgangWithEingang,
        });
      });
    });
  });
});
