import { OzgcloudDialogService } from '@alfa-client/ui-shared';
import { VorgangWithEingangLinkRel, VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { Component, inject, Input } from '@angular/core';
import { VorgangArchiveConfirmationDialogContainerComponent } from './vorgang-archive-confirmation-dialog-container/vorgang-archive-confirmation-dialog-container.component';
import { VorgangArchiveConfirmationDialogData } from './vorgang-archive-confirmation-dialog-container/vorgang-archive-confirmation-dialog/vorgang-archive-confirmation-dialog.model';

@Component({
  selector: 'alfa-vorgang-archive-container',
  templateUrl: './vorgang-archive-container.component.html',
})
export class VorgangArchiveContainerComponent {
  private dialogService = inject(OzgcloudDialogService);

  @Input() vorgangWithEingang: VorgangWithEingangResource;

  protected readonly vorgangWithEingangLinkRel = VorgangWithEingangLinkRel;

  public openArchiveConfirmationDialog(): void {
    this.dialogService.open<unknown, VorgangArchiveConfirmationDialogData>(
      VorgangArchiveConfirmationDialogContainerComponent,
      this.buildDialogData(),
    );
  }

  private buildDialogData(): VorgangArchiveConfirmationDialogData {
    return {
      vorgangWithEingang: this.vorgangWithEingang,
    };
  }
}
